This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315758 - Update to the most recent version of PEP493
Update to the most recent version of PEP493
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Charalampos Stratakis
Branislav Náter
Lenka Spackova
: Patch
Depends On:
Blocks: 1305230
  Show dependency treegraph
 
Reported: 2016-03-08 09:21 EST by Robert Kuska
Modified: 2016-11-03 16:16 EDT (History)
8 users (show)

See Also:
Fixed In Version: python-2.7.5-41.el7
Doc Type: Release Note
Doc Text:
New configuration options for SSL/TLS certificate verification for the HTTP clients in the Python standard library New per-application and per-process configuration options for SSL/TLS certificate verification have been added for the HTTP clients in the Python standard library. The options are described in the 493 Python Enhancement Proposal (https://www.python.org/dev/peps/pep-0493/). The default global setting continues to be to not verify certificates. For details, see https://access.redhat.com/articles/2039753.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:16:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 11 Nick Coghlan 2016-08-25 21:29:04 EDT
Thanks for getting this into RHEL 7.3!

Checking the RHEL 7.3 beta release notes, this update doesn't currently appear to be mentioned: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7-Beta/html-single/7.3_Release_Notes/index.html

The KB article at https://access.redhat.com/articles/2039753 will also require updates to note that the system-wide default for certification verification can now be flipped to "enable", and then selectively turned off for cases that actually need that by setting "PYTHONHTTPSVERIFY=0"
Comment 12 Tomas Hoger 2016-08-26 04:18:43 EDT
(In reply to Nick Coghlan from comment #11)
> The KB article at https://access.redhat.com/articles/2039753 will also
> require updates

I can update that kbase.  Feel free to reach to me closer to 7.3 GA to do required changes.

> to note that the system-wide default for certification verification can now
> be flipped to "enable",

That's already possible in current version, and should be covered by this section of the article:

https://access.redhat.com/articles/2039753#controlling-and-troubleshooting-certificate-verification-6

Is there anything important missing?

> and then selectively turned off for cases that actually need that by
> setting "PYTHONHTTPSVERIFY=0"

That can/should be added, yes.
Comment 13 Nick Coghlan 2016-09-22 03:48:38 EDT
Regarding the "system-wide enablement" aspect in the KB, one of the previous arguments against folks doing that by default in their system config was that if an application they or their users needed didn't work in that environment, they were kinda stuck if they couldn't modify the app itself.

With RHEL 7.3+, admins can still change the default even if they or their users have such problematic apps to deal with, since the apps that genuinely can't handle proper verification can be configured to run without it just through an environment modification.
Comment 15 errata-xmlrpc 2016-11-03 16:16:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2586.html

Note You need to log in before you can comment on or make changes to this bug.